# Reference

Class to hold a reference to another object in the project.

package | phing.types

### Methods

## __construct

    __construct(string $id = null)

### Arguments

#### $id

`string`

## returns reference to object in references container of project

    getReferencedObject(\Project $project) : \Reference

throws |

### Arguments

#### $project

`\Project`

### Response

`\Reference`

## getRefId

    getRefId() : string

### Response

`string`

## setRefId

    setRefId( $id)

### Arguments

#### $id

``

### Properties

## refid

    refid : string

var |

### Type(s)

`string`